package com.ruoyi.system.service;

import com.aliyuncs.sts.model.v20150401.AssumeRoleResponse;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.InputStream;


/**
 * oss阿里云使用
 * @author 蔡礼田
 * @date 2021-06-03 22:02
 */
public interface IOssService {

    /**
     * 文件上传
     * @param: uploadFile MultipartFile
     * @return: string
     */
    public String upload(MultipartFile uploadFile, String filePath);

    /**
     * 文件上传
     * @param: uploadFile File
     * @return: string
     */
    public String upload(File uploadFile, String filePath);
    
    public String upload(InputStream inputStream, String fileName, String filePath);

    public String uploadFileByUrl(String url, String fileName, String filePath);

        public AssumeRoleResponse getUploadToken();
}
